Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.common
Enum Environment.Transports

    java.lang.Object
      java.lang.Enum<Environment.Transports>
          org.jboss.soa.esb.common.Environment.Transports

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Environment.Transports>

Enclosing class:
  Environment

    public static enum Environment.Transports

extends java.lang.Enum<Environment.Transports>

Enum Constant Summary
`File`
`FTP`
`Hibernate`
`JMS`
`SQL`

Method Summary
`static Environment.Transports` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Environment.Transports[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### File

    public static final Environment.Transports File

### FTP

    public static final Environment.Transports FTP

### JMS

    public static final Environment.Transports JMS

### SQL

    public static final Environment.Transports SQL

### Hibernate

    public static final Environment.Transports Hibernate

Method Detail

### values

    public static final Environment.Transports[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Environment.Transports c : Environment.Transports.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Environment.Transports valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD